IncidentStatusPageEvents
Creates an incident status page event
Creates a new event from provided data
POST
/
v1
/
incidents
/
{incident_id}
/
status-page-events
Creates an incident status page event
curl --request POST \
--url https://api.rootly.com/v1/incidents/{incident_id}/status-page-events \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "incident_status_page_events",
"attributes": {
"event": "<string>",
"status_page_id": "<string>",
"notify_subscribers": false,
"should_tweet": false,
"started_at": "2023-11-07T05:31:56Z"
}
}
}
'import requests
url = "https://api.rootly.com/v1/incidents/{incident_id}/status-page-events"
payload = { "data": {
"type": "incident_status_page_events",
"attributes": {
"event": "<string>",
"status_page_id": "<string>",
"notify_subscribers": False,
"should_tweet": False,
"started_at": "2023-11-07T05:31:56Z"
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
type: 'incident_status_page_events',
attributes: {
event: '<string>',
status_page_id: '<string>',
notify_subscribers: false,
should_tweet: false,
started_at: '2023-11-07T05:31:56Z'
}
}
})
};
fetch('https://api.rootly.com/v1/incidents/{incident_id}/status-page-events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"type": "incident_status_page_events",
"attributes": {
"event": "<string>",
"started_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"status_page_id": "<string>",
"notify_subscribers": true,
"should_tweet": true
}
},
"included": [
{
"id": "<string>",
"type": "<string>",
"attributes": {},
"relationships": {}
}
]
}{
"errors": [
{
"title": "<string>",
"status": "<string>",
"code": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"title": "<string>",
"status": "<string>",
"code": "<string>",
"detail": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/vnd.api+json
Show child attributes
Show child attributes
Was this page helpful?
Previous
Retrieves an incident status page eventRetrieves a specific incident_status_page_event by id
Next
⌘I
Creates an incident status page event
